Uses of Interface
io.vertx.ext.web.handler.APIKeyHandler
Packages that use APIKeyHandler
Package
Description
-
Uses of APIKeyHandler in io.vertx.ext.web.handler
Methods in io.vertx.ext.web.handler that return APIKeyHandlerModifier and TypeMethodDescriptionSpecify the source for the api key extraction as an HTTP cookie with the given name.static APIKeyHandlerAPIKeyHandler.create(AuthenticationProvider authProvider) Create an API Key authentication handlerSpecify the source for the api key extraction as an HTTP header with the given name.Specify the source for the api key extraction as an HTTP query parameter with the given name.APIKeyHandler.tokenExtractor(Function<String, Future<String>> tokenExtractor) Transform from user's token format to the AuthenticationHandler's format. -
Uses of APIKeyHandler in io.vertx.ext.web.openapi.router
Methods in io.vertx.ext.web.openapi.router with parameters of type APIKeyHandlerModifier and TypeMethodDescriptionSecurity.apiKeyHandler(APIKeyHandler handler) Configure theAPIKeyHandlerto be used when creating the router. -
Uses of APIKeyHandler in io.vertx.reactivex.ext.web.handler
Methods in io.vertx.reactivex.ext.web.handler that return APIKeyHandlerMethods in io.vertx.reactivex.ext.web.handler with parameters of type APIKeyHandlerModifier and TypeMethodDescriptionstatic APIKeyHandlerAPIKeyHandler.newInstance(APIKeyHandler arg) Constructors in io.vertx.reactivex.ext.web.handler with parameters of type APIKeyHandler -
Uses of APIKeyHandler in io.vertx.rxjava3.ext.web.handler
Methods in io.vertx.rxjava3.ext.web.handler that return APIKeyHandlerMethods in io.vertx.rxjava3.ext.web.handler with parameters of type APIKeyHandlerModifier and TypeMethodDescriptionstatic APIKeyHandlerAPIKeyHandler.newInstance(APIKeyHandler arg) Constructors in io.vertx.rxjava3.ext.web.handler with parameters of type APIKeyHandler